part of liveness;

class LivenessImageAction extends StatelessWidget {
  const LivenessImageAction({
    Key? key,
    required this.imageName,
    required this.title,
    this.assetType = AssetType.Image,
  }) : super(key: key);
  final String imageName;
  final String title;
  final AssetType assetType;
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(top: 10),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        children: <Widget>[
          Image.asset(
            assetType == AssetType.Image
                ? imageName.assetImg
                : imageName.gifImg,
            height: MediaQuery.of(context).size.height / 12,
          ),
          const SizedBox(height: 20),
          Text(
            title,
            style: TextStyle(
              color: context.onBackground,
              fontSize: 18,
              fontWeight: FontWeight.w400,
            ),
            textAlign: TextAlign.center,
          ),
        ],
      ),
    );
  }
}
