import 'package:flutter/services.dart';

import 'app/configs/application.dart';
import 'app/configs/config.dart';
import 'app/modules/app/views/app_view.dart';
import 'app/data/request/native_config_request.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();
  var configModel = NativeConfigRequest();
  var channel = const MethodChannel('com.ekyC/mainChannel');
  channel.setMethodCallHandler((call) async {
    if (call.method == 'config') {
      try {
        configModel = NativeConfigRequest.fromJson(
          Map<String, dynamic>.from(call.arguments),
        );
      } catch (e) {
        print(e);
      }
    }
  });

  await Application.init(configModel);

  runApp(
    GestureDetector(
      onTap: () {
        WidgetsBinding.instance?.focusManager.primaryFocus?.unfocus();
      },
      child:const AppView(),
    ),
  );
}
